1 # mpk-unpack - unpacks source code.
2 # Copyright (C) 2008 Cesar Strauss
4 # This file is part of Minipack - an automated build tool.
6 # Minipack is free software: you can redistribute it and/or modify
7 # it under the terms of the GNU General Public License as published by
8 # the Free Software Foundation, either version 3 of the License, or
9 # (at your option) any later version.
11 # Minipack is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY; without even the implied warranty of
13 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
14 # GNU General Public License for more details.
16 # You should have received a copy of the GNU General Public License
17 # along with Minipack. If not, see <http://www.gnu.org/licenses/>.
31 : ${source_package_type:=tar.gz}
32 : ${source:=$name-$version.$source_package_type}
33 : ${top_srcdir:=$name-$version}
35 buildroot=$builddir/$name-$version-$release
37 if [ -d $buildroot/$top_srcdir ]; then
41 sourcename=$sourcedir/$source
42 if [ ! -e $sourcename ]; then
44 if [ ! -e $sourcename ]; then
45 echo >&2 "$(basename $0) unpack: Could not find source for $pkg"
53 echo "Unpacking $pkg..."
55 case $source_package_type in
57 tar -xf $sourcename ;;
63 echo >&2 "$(basename $0) unpack: Failed to unpack $sourcename"
69 pkg_patchdir=$patchdir/$name
71 if [ -d $pkg_patchdir ]; then
72 patches=`find $pkg_patchdir -name '*.patch' | sort`
76 echo >&2 "$(basename $0) unpack: Failed apply patches for $sourcename"
85 echo >&2 "$(basename $0) unpack: Failed to prepare build directory for $sourcename"
103 if [ -z "$pkg" ]; then
104 echo "Usage: $(basename $0) unpack package-name ..."
108 recipe=$(get_recipe_name $pkg) || exit 1